PortalAccountingSubscription (consumer-service 1.9.2-3.5.0 API)
Date: 2014-11-12

org.gcube.messaging.common.consumer.accounting

## Class PortalAccountingSubscription

- java.lang.Object
- - java.lang.Thread
  - - org.gcube.messaging.common.consumer.BrokerSubscription<PortalAccountingListener>
    - - org.gcube.messaging.common.consumer.accounting.PortalAccountingSubscription

- All Implemented Interfaces:
    Runnable, javax.jms.ExceptionListener

      public class PortalAccountingSubscription
      extends BrokerSubscription<PortalAccountingListener>

  Author:
    Andrea Manzi(CERN)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gcube.messaging.common.consumer.BrokerSubscription

      `BrokerSubscription.TopicCouple`

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class org.gcube.messaging.common.consumer.BrokerSubscription

      `ackMode, connections, couple, listener, logger, messageSelectors, queue, transacted`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PortalAccountingSubscription()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setScope(org.gcube.common.core.scope.GCUBEScope scope)` set the scope

    - ### Methods inherited from class org.gcube.messaging.common.consumer.BrokerSubscription

      `getConnections, getCouple, getListener, getMessageSelectors, onException, run, setConnections, setCouple, setListener, setMessageSelectors, setupDurableSubscribers, setupQueueSubscription, subscribe`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PortalAccountingSubscription

          public PortalAccountingSubscription()

  - ### Method Detail

    - #### setScope

          public void setScope(org.gcube.common.core.scope.GCUBEScope scope)

      Description copied from class: `BrokerSubscription`
      set the scope
      Specified by:
        `setScope` in class `BrokerSubscription<PortalAccountingListener>`
      Parameters:
        `scope` - the scope to set

Copyright © 2014. All Rights Reserved.